%{?mingw_package_header}

%global mingw_pkg_name lcms2

Name:           mingw-%{mingw_pkg_name}
Version:        2.14
Release:    2%{?dist}
Summary:        MinGW Color Management Engine
License:        MIT
URL:            http://www.littlecms.com/
Source0:        https://sourceforge.net/projects/lcms/files/lcms/%{version}/%{mingw_pkg_name}-%{version}.tar.gz

BuildRequires: make
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw32-libjpeg
BuildRequires:  mingw64-libjpeg
BuildRequires:  mingw32-libtiff
BuildRequires:  mingw64-libtiff
BuildRequires:  mingw32-zlib
BuildRequires:  mingw64-zlib
BuildArch:      noarch

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%package -n mingw32-%{mingw_pkg_name}
Summary:                %{summary}

%description -n mingw32-%{mingw_pkg_name}
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%package -n mingw32-%{mingw_pkg_name}-static
Summary:  Static libraries for mingw32-%{mingw_pkg_name} development
Requires: mingw32-%{mingw_pkg_name} = %{version}-%{release}

%description -n mingw32-%{mingw_pkg_name}-static
The mingw32-%{mingw_pkg_name}-static package contains static library for
mingw32-%{mingw_pkg_name} development.

%package -n mingw64-%{mingw_pkg_name}
Summary:                %{summary}

%description -n mingw64-%{mingw_pkg_name}
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%package -n mingw64-%{mingw_pkg_name}-static
Summary:  Static libraries for mingw64-%{mingw_pkg_name} development
Requires: mingw64-%{mingw_pkg_name} = %{version}-%{release}

%description -n mingw64-%{mingw_pkg_name}-static
The mingw64-%{mingw_pkg_name}-static package contains static library for
mingw64-%{mingw_pkg_name} development.

%{?mingw_debug_package}

%prep
%setup -q -n %{mingw_pkg_name}-%{version}
iconv -f ISO-8859-1 -t UTF-8 AUTHORS > AUTHORS.x
mv -f AUTHORS.x AUTHORS

%build
%mingw_configure --enable-static --program-suffix=2

%mingw_make %{?_smp_mflags}

%install
%mingw_make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.exe" -exec rm -f {} ';'
install -D -m 644 include/lcms2.h %{buildroot}%{mingw32_includedir}/lcms2.h
install -D -m 644 include/lcms2.h %{buildroot}%{mingw64_includedir}/lcms2.h
install -D -m 644 include/lcms2_plugin.h %{buildroot}%{mingw32_includedir}/lcms2_plugin.h
install -D -m 644 include/lcms2_plugin.h %{buildroot}%{mingw64_includedir}/lcms2_plugin.h
rm -rf %{buildroot}/%{mingw32_mandir}
rm -rf %{buildroot}/%{mingw64_mandir}


%files -n mingw32-%{mingw_pkg_name}
%doc AUTHORS COPYING
%{mingw32_includedir}/*
%{mingw32_libdir}/liblcms2.dll.a
%{mingw32_bindir}/liblcms2-2.dll
%{mingw32_libdir}/pkgconfig/%{mingw_pkg_name}.pc

%files -n mingw32-%{mingw_pkg_name}-static
%{mingw32_libdir}/liblcms2.a

%files -n mingw64-%{mingw_pkg_name}
%doc AUTHORS COPYING
%{mingw64_includedir}/*
%{mingw64_libdir}/liblcms2.dll.a
%{mingw64_bindir}/liblcms2-2.dll
%{mingw64_libdir}/pkgconfig/%{mingw_pkg_name}.pc

%files -n mingw64-%{mingw_pkg_name}-static
%{mingw64_libdir}/liblcms2.a

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.14-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-1
- initial build
